
%define name    keytouch-editor
%define version 3.0
%define release 0beta2.2006mcnl
%define summary Configure extra keyboard keys
%define section System/Configuration/Hardware

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:		http://keytouch.sourceforge.net
License:        GPL
Group:          %{section}
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:	%{name}_%{version}.0_beta2.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 


%description

KeyTouch-editor lets you make your own keyboard configuration file.
This file can be used in combination with KeyTouch.

KeyTouch is a program which allows you to easily configure the extra function
keys of your keyboard. This means that you can define, for every individual 
function key, what to do if it is pressed.
When you buy a new keyboard a CD-ROM will probably included. This CD-ROM 
contains software to configure the extra function keys (the image above shows 
an example of extra functionkeys) of your keyboard with. The problem however 
is that most of the times the software is not available for Linux.
KeyTouch is the solution to this problem. It allows you to easily configure 
the extra function keys of your keyboard.


%prep
rm -rf %{buildroot}

%setup -q -n %{name}*

%build
 
%configure
%make


%install

%makeinstall

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="keytouch-editor" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="KeyTouch-editor" \
longtitle="%summary"
EOF

#icons
mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 pixmaps/icon.png %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 pixmaps/icon.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 pixmaps/icon.png %{buildroot}/%{_miconsdir}/%{name}.png


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 


%files 
%defattr(-,root,root,0755) 
%doc COPYING
%_menudir/*
%_iconsdir/*
%_bindir/keytouch*
%_datadir/keytouch*
%_datadir/locale/*/LC_MESSAGES/keytouch*

%changelog 

* Mon Apr 10 2006 Marco Meijer <marco@mandrivaclub.nl> 3.0-beta2-1.2006mcnl
- First version for Mandrivaclub.nl




